View Issue Details

IDProjectCategoryView StatusLast Update
0012296LazarusIDEpublic2009-05-27 23:56
ReporterJonas Maebe Assigned ToPaul Ishenin  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN) 
Target Version0.9.28Fixed in Version0.9.28 
Summary0012296: Menus are filled with icons
DescriptionLazarus revision 16874, FPC 2.2.2, Mac OS X 10.5.4

Summary
Virtually all menu items have an icon next to them. As mentioned on http://developer.apple.com/documentation/UserExperience/Conceptual/AppleHIGuidelines/XHIGMenus/chapter_17_section_3.html#//apple_ref/doc/uid/TP30000356-TPXREF116, this is strongly discouraged on Mac OS X.

At least a preference to disable all these icons would be nice.
TagsNo tags attached.
Fixed in Revision20232
LazTarget0.9.28
WidgetsetCarbon
Attached Files

Activities

Jonas Maebe

2008-10-05 12:45

reporter   ~0022614

Similarly, an option to remove all icons from buttons in dialog boxes would be nice as well.

Dmitry Boyarintsev

2009-05-26 12:43

developer   ~0028004

please test and close if ok

Jonas Maebe

2009-05-27 18:50

reporter   ~0028066

Thanks! And the icons are also gone from the buttons :)

Paul Ishenin

2009-05-27 23:56

manager   ~0028081

This is tunable.

Issue History

Date Modified Username Field Change
2008-10-05 11:21 Jonas Maebe New Issue
2008-10-05 11:21 Jonas Maebe Widgetset => Carbon
2008-10-05 12:45 Jonas Maebe Note Added: 0022614
2008-10-06 13:21 Vincent Snijders LazTarget => post 1.2
2008-10-06 13:21 Vincent Snijders Status new => acknowledged
2009-05-26 12:42 Dmitry Boyarintsev Status acknowledged => assigned
2009-05-26 12:42 Dmitry Boyarintsev Assigned To => Paul Ishenin
2009-05-26 12:43 Dmitry Boyarintsev Fixed in Revision => 20232
2009-05-26 12:43 Dmitry Boyarintsev LazTarget post 1.2 => 0.9.28
2009-05-26 12:43 Dmitry Boyarintsev Status assigned => resolved
2009-05-26 12:43 Dmitry Boyarintsev Fixed in Version => 0.9.28
2009-05-26 12:43 Dmitry Boyarintsev Resolution open => fixed
2009-05-26 12:43 Dmitry Boyarintsev Target Version => 0.9.28
2009-05-26 12:43 Dmitry Boyarintsev Note Added: 0028004
2009-05-27 18:50 Jonas Maebe Status resolved => closed
2009-05-27 18:50 Jonas Maebe Note Added: 0028066
2009-05-27 23:56 Paul Ishenin Note Added: 0028081